<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс CommandTable</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="classCommandTable-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс CommandTable</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Граф наследования:CommandTable:</div>
<div class="dyncontent">
<div class="center"><img src="classCommandTable__inherit__graph.png" border="0" usemap="#CommandTable_inherit__map" alt="Inheritance graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса CommandTable:</div>
<div class="dyncontent">
<div class="center"><img src="classCommandTable__coll__graph.png" border="0" usemap="#CommandTable_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a0b701108e1f829c1795a1ae1baad9c13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandTable.html#a0b701108e1f829c1795a1ae1baad9c13">getCommandName</a> ()</td></tr>
<tr class="separator:a0b701108e1f829c1795a1ae1baad9c13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99ac150e98e847ff84dd58f09bfc7640"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandTable.html#a99ac150e98e847ff84dd58f09bfc7640">getisVoiceInput</a> ()</td></tr>
<tr class="separator:a99ac150e98e847ff84dd58f09bfc7640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d005bdc2c6e2fc8b2fb8fbf41c66971"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandTable.html#a4d005bdc2c6e2fc8b2fb8fbf41c66971">removeRow</a> ()</td></tr>
<tr class="separator:a4d005bdc2c6e2fc8b2fb8fbf41c66971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c3349dd9aaa69b9216f3aba068e062"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandTable.html#aa4c3349dd9aaa69b9216f3aba068e062">addingCommand</a> ()</td></tr>
<tr class="separator:aa4c3349dd9aaa69b9216f3aba068e062"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Методы</h2>
<a id="aa4c3349dd9aaa69b9216f3aba068e062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4c3349dd9aaa69b9216f3aba068e062">&#9670;&nbsp;</a></span>addingCommand()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CommandTable::addingCommand </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b701108e1f829c1795a1ae1baad9c13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b701108e1f829c1795a1ae1baad9c13">&#9670;&nbsp;</a></span>getCommandName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CommandTable::getCommandName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a99ac150e98e847ff84dd58f09bfc7640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99ac150e98e847ff84dd58f09bfc7640">&#9670;&nbsp;</a></span>getisVoiceInput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CommandTable::getisVoiceInput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d005bdc2c6e2fc8b2fb8fbf41c66971"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d005bdc2c6e2fc8b2fb8fbf41c66971">&#9670;&nbsp;</a></span>removeRow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CommandTable::removeRow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/deskhelper/src/<a class="el" href="CommandTable_8qml.html">CommandTable.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
